Bug 190850 - rawhide does not boot on HP Integrity with LSI Fusion scsi driver
rawhide does not boot on HP Integrity with LSI Fusion scsi driver
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-05 14:07 EDT by Doug Chapman
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-08 14:30:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2006-05-05 14:07:12 EDT
Description of problem:
The recent FC6 rawhide kernels do not boot on HP Integrity (ia64) servers that
have the LSI Fusion scsi adapter (which is nearly all models).  I am able to
also reproduce this with upstream kernels.

When I recompile the kernel with this linked in vmlinux instead of as a module
it boots properly.

The .config changes I made to make this work were to set CONFIG_SCSI,
CONFIG_FUSION_SPI and CONFIG_FUSION_CTL all to "y" instead of "m".

The FC5 kernel booted OK with these still as modules.  I am currently looking at
the 2 kernels to see what change might have broken this.

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2153_FC6.ia64

How reproducible:
100%

Steps to Reproduce:
1. boot the latest rawhide install CD on an HP Integrity server
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Doug Chapman 2006-05-08 14:30:05 EDT
I just tried this again with 2.6.16-1.2195_FC6 and it appears to be working now.
 Don't know if it was fixed or if I was just confused last week but I will keep
an eye on it to see if it starts failing again.

Note You need to log in before you can comment on or make changes to this bug.